> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List GHL Calendars

> List GHL Calendars.

### Authorizations

<ParamField header="X-Api-Key" type="string" required>
  Your Agni API key used to authenticate the request. Pass it in the `X-Api-Key` header. Find or rotate it from your Ravan AI account settings.
</ParamField>

***

### Response

<ResponseField name="success" type="boolean">
  Whether the request succeeded.
</ResponseField>

<ResponseField name="message" type="string">
  Human-readable status message.
</ResponseField>

<ResponseField name="data" type="object">
  data field.

  <Expandable title="data">
    <ResponseField name="calendars" type="object[]">
      calendars field.

      <Expandable title="calendars[]">
        <ResponseField name="id" type="string">
          id field.
        </ResponseField>

        <ResponseField name="name" type="string">
          name field.
        </ResponseField>

        <ResponseField name="description" type="string">
          description field.
        </ResponseField>

        <ResponseField name="locationId" type="string">
          locationId field.
        </ResponseField>

        <ResponseField name="serviceTitle" type="string">
          serviceTitle field.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="count" type="integer">
      count field.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "Request completed successfully",
    "data": {
      "calendars": [
        {
          "id": "id_123",
          "name": "example",
          "description": "example",
          "locationId": "id_123",
          "serviceTitle": "integration_service"
        }
      ],
      "count": 1
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /api/v1/ghl/setup/calendars
openapi: 3.0.1
info:
  title: Agni API
  version: 1.0.0
  description: >-
    Agni API for managing agents, tools, widget settings, telephony, and
    integrations.
servers:
  - url: https://api.ravan.ai
security:
  - X-Api-Key: []
tags:
  - name: AgentService
  - name: AgentToolService
  - name: WidgetSettingsService
  - name: PhoneService
  - name: AppointmentService
  - name: GHLService
  - name: CalComService
  - name: CampaignService
  - name: ContactService
  - name: CallingService
  - name: RAGService
  - name: ModelService
  - name: HealthService
paths:
  /api/v1/ghl/setup/calendars:
    get:
      tags:
        - GHLService
      summary: List GHL Calendars
      operationId: ListGHLCalendars
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGHLCalendarsResponse'
components:
  schemas:
    ListGHLCalendarsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            calendars:
              type: array
              items:
                $ref: '#/components/schemas/GHLCalendar'
            count:
              type: integer
    GHLCalendar:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        locationId:
          type: string
        serviceTitle:
          type: string
  securitySchemes:
    X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key

````